import { BaseReviver } from "./baseReviver.js";
export declare class URLReviver implements BaseReviver<URL> {
    nativeTypeName(): string;
    isInstance(value: unknown): value is URL;
    serialize(value: URL): Record<string, unknown>;
    validate(value: Record<string, unknown>): boolean;
    revive(value: Record<string, unknown>): URL;
}
